//! Arg parsing error
use super::*;
use std::{
    error,
    fmt,
};

#[derive(Debug)]
#[non_exhaustive]
pub enum Error {
    Unknown,
}
impl error::Error for Error{}
impl fmt::Display for Error
{
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result
    {
	match self {
	    _ => write!(f, "unknown error"),
	}
    }
}

